import request from '@/utils/request'

// 查询题库主列表
export function listQuestionBank(query) {
  return request({
    url: '/school-paper/questionBank/list',
    method: 'get',
    params: query
  })
}
// 阶段列表
export function getPhaseList(query) {
  return request({
    url: '/system/dept/getPhaseList',
    method: 'get',
    params: query
  })
}
// 查询题库主列表
export function questionType(query) {
  return request({
    url: '/school-paper/question-type/list',
    method: 'get',
    params: query
  })
}
// 查询题库主详细
export function getQuestionBank(id) {
  return request({
    url: '/school-paper/questionBank/detail/' + id,
    method: 'get'
  })
}

// 新增题库主
export function addQuestionBank(data) {
  return request({
    url: '/school-paper/questionBank/question',
    method: 'post',
    data: data
  })
}

// 修改题库主
export function updateQuestionBank(data) {
  return request({
    url: '/school-paper/questionBank/question',
    method: 'put',
    data: data
  })
}

// 删除题库主
export function delQuestionBank(ids) {
  return request({
    url: '/school-paper/questionBank/' + ids,
    method: 'delete'
  })
}